<?php
 Session_Start () ;
 Include ("../../include/garennes.cfg") ;
 Include ("../../include/init.php") ;
 Include ("../include/config.inc") ;
 verif_droits ($droit_courant, $_SESSION ["code"]) ;
 Include ("../../include/notanet.inc") ;
 
 $id_notanet_profil = var_courante ("id_notanet_profil", 0, 0) ;
 $mode = var_courante ("mode", 0, 0) ;
 $millesime = millesime (0) ;
 
 // Valeurs par defaut
 $ncode = "" ;
 $id_discipline = 0 ;
 $mode_calcul = 1 ;
 $borne_sup = 20 ;
 $coefficient = 1 ;
 $mouvement = 1 ;
 $r = SQL_commande ("SELECT id_notanet_type_note,code,libelle FROM notanet_types_notes ORDER BY code", $id_sql) ;
 $nbr = SQL_nbr_lignes ($r) ;
 For ($i = 0 ; $i < $nbr ; $i++)
  {
   $note [$i] = var_courante ("note_".$i, 0, 0) ;
  }
 
 /**
 ** Fonction de verification des notes
 * @param array $note Tableau des identifiant des types de notes possibles
 * @param int $nombre Nombre de cellules
 * @param int $resultat Identifiant a tester
 * @return int 0=Non coche,1=Coche
 */
 Function verif_note ($note, $nombre, $resultat)
  {
   $ok = 0 ;
   For ($i = 0 ; $i < $nombre ; $i++)
    {
     If ($note [$i] == $resultat) { $ok = 1 ; }
    }
   Return $ok ;
  }
 
 If ($mode > 0)
  {
   Switch ($mode)
    {
     // Creation d'un profil
     Case 1 : $nom = var_courante ("nom", 0, "Profil d'essai") ;
              $nom = filtrage ($nom) ;
	      $arrondi = var_courante ("arrondi", 0, 0) ;
	      $ok = SQL_commande ("SELECT nom FROM notanet_profils WHERE nom='".$nom."' AND millesime='".$millesime."' LIMIT 1", $id_sql) ;
	      If (SQL_nbr_lignes ($ok) == 0)
	       {
	        $ok = SQL_commande ("INSERT INTO notanet_profils (nom,arrondi,millesime) VALUES ('".$nom."','".$arrondi."','".$millesime."')", $id_sql) ;
		$ok = SQL_commande ("SELECT id_notanet_profil FROM notanet_profils WHERE nom='".$nom."' LIMIT 1", $id_sql) ;
	        If (SQL_nbr_lignes ($ok) == 0) { $message = 5 ; }
		Else
		 {
		  $l = SQL_ligne_suivante ($ok) ;
		  $id_notanet_profil = $l [0] ;
		  $message = 4 ;
		  // Insertion des donnes pour l'impression
		  $serie = var_courante ("serie", 0, 1) ; // College par defaut
		  sauvegarde_configuration ("NOTANET","SERIE",$id_notanet_profil,$serie) ;
		  $decouverte_pro = var_courante ("dp", 0, null) ;
		  $agricole = var_courante ("agricole", 0, null) ;
		  If (IsSet ($decouverte_pro)) { $valeur = $decouverte_pro ; }
		  ElseIf (IsSet ($agricole)) { $valeur = $agricole ; }
		  Else { $valeur =  0 ; }
                  sauvegarde_configuration ("NOTANET","DP",$id_notanet_profil,$valeur) ;
		 }
	       }
	      Else { $message = 8 ; }
	      Break ;
     // Modification d'un profil
     Case 2 : $nom = var_courante ("nom", 0, "Profil d'essai") ;
              $nom = filtrage ($nom) ;
	      $arrondi = var_courante ("arrondi", 0, 0) ;
	      $ok = SQL_commande ("SELECT id_notanet_profil FROM notanet_profils WHERE id_notanet_profil='".$id_notanet_profil."' LIMIT 1", $id_sql) ;
	      If (SQL_nbr_lignes ($ok) == 1)
	       {
	        $ok = SQL_commande ("UPDATE notanet_profils SET nom='".$nom."',arrondi='".$arrondi."' WHERE id_notanet_profil='".$id_notanet_profil."' LIMIT 1", $id_sql) ;
		$ok = SQL_commande ("SELECT id_notanet_profil FROM notanet_profils WHERE nom='".$nom."' AND arrondi='".$arrondi."' LIMIT 1", $id_sql) ;
		// Modification des donnes pour l'impression
		$serie = var_courante ("serie", 0, 1) ; // College par defaut
		sauvegarde_configuration ("NOTANET","SERIE",$id_notanet_profil,$serie) ;
		$decouverte_pro = var_courante ("dp", 0, null) ;
		$agricole = var_courante ("agricole", 0, null) ;
		If (IsSet ($decouverte_pro)) { $valeur = $decouverte_pro ; }
		ElseIf (IsSet ($agricole)) { $valeur = $agricole ; }
		Else { $valeur =  0 ; }
                sauvegarde_configuration ("NOTANET","DP",$id_notanet_profil,$valeur) ;
	        If (SQL_nbr_lignes ($ok) == 0) { $message = 10 ; }
		Else
		 {
		  $l = SQL_ligne_suivante ($ok) ;
		  If ($id_notanet_profil == $l [0]) { $message = 2 ; } Else { $message = 10 ; }
		 }
	       }
	      Else { $message = 10 ; }
              Break ;
     // Creation d'un code epreuve
     Case 3 : $ncode = var_courante ("ncode", 0, "") ;
              $id_discipline = var_courante ("id_discipline", 0, 0) ;
              $mode_calcul = var_courante ("mode_calcul", 0, -1) ;
              $borne_sup = var_courante ("borne_sup", 0, 20) ;
              $coefficient = Str_Replace (",", ".", var_courante ("coefficient", 0, 1)) ;
	      $mouvement = var_courante ("mouvement", 0, 1) ;
	      If (($ncode != "") And ($id_discipline != 0) And ($mode_calcul >= 0))
	       {
	        If (notanet_code_existe ($id_notanet_profil, $ncode) == 0)
		 {
		  // Insertion du code epreuve
		  $ncode = filtrage ($ncode) ;
		  $ok = SQL_commande ("INSERT INTO notanet_codes_epreuves (id_notanet_profil,code,id_discipline) VALUES ('".$id_notanet_profil."','".$ncode."','".$id_discipline."')", $id_sql) ;
		  // Recuperation de l'id
		  $ok = SQL_commande ("SELECT id_notanet_code_epreuve FROM notanet_codes_epreuves WHERE id_notanet_profil='".$id_notanet_profil."' AND code='".$ncode."' AND id_discipline='".$id_discipline."' LIMIT 1", $id_sql) ;
		  If (SQL_nbr_lignes ($ok) == 1)
		   {
		    $okk = SQL_ligne_suivante ($ok) ;
		    $id_notanet_code_epreuve = $okk [0] ;
                    $nbr  = var_courante ("nbr", 0, 0) ;
		    $requete = "INSERT INTO notanet_proprietes (id_notanet_code_epreuve,id_notanet_type_note,mode_calcul,borne_superieure,coefficient,mouvement) VALUES " ;
		    $ok = 0 ;
                    For ($i = 0 ; $i < $nbr ; $i++)
                     {
                      $note = var_courante ("note_".$i, 0, 0) ;
		      If ($note != 0)
		       {
		        If ($ok == 1) { $requete .= "," ; }
		        $requete .= "('".$id_notanet_code_epreuve."','".$note."','".$mode_calcul."','".$borne_sup."','".$coefficient."','".$mouvement."')" ;
			$ok = 1 ;
		       }
		     }
		    If ($ok == 1)
		     {
		      $ok = SQL_commande ($requete, $id_sql) ;
		      // Re-initialisation des valeurs
		      $ncode = "" ; $id_discipline = 0 ; $mode_calcul = 1 ; $borne_sup = 20 ; $coefficient = 1 ; $mouvement = 1 ;
		      UnSet ($note) ;
                      For ($i = 0 ; $i < $nbr ; $i++)
                       {
                        $note [$i] = 0 ;
                       }
		     }
		   }
		  Else { $message = 5 ; }
		 }
		Else { $message = 8 ; }
	       }
	      Else { $message = 9 ; }
	      $mode_calcul = 1 ;
              Break ;
     // Edition d'un code epreuve
     Case 4 : $id_notanet_code_epreuve = var_courante ("id_notanet_code_epreuve", 0, null) ;
              If ((IsSet ($id_notanet_code_epreuve)) And ($id_notanet_code_epreuve > 0))
	       {
	        $proprietes = SQL_commande ("SELECT c.id_notanet_profil,c.code,c.id_discipline,p.* FROM notanet_proprietes p,notanet_codes_epreuves c,notanet_types_notes t WHERE c.id_notanet_code_epreuve=p.id_notanet_code_epreuve AND p.id_notanet_code_epreuve='".$id_notanet_code_epreuve."' AND p.id_notanet_type_note=t.id_notanet_type_note ORDER BY t.code", $id_sql) ;
		$nbr = SQL_nbr_lignes ($proprietes) ;
		If ($nbr > 0)
		 {
		  $prop = SQL_tableau_associatif ($proprietes, "") ;
		  $ncode = $prop ["code"] ;
                  $id_discipline = $prop ["id_discipline"] ;
                  $mode_calcul = $prop ["mode_calcul"] ;
                  $borne_sup = $prop ["borne_superieure"] ;
                  $coefficient = $prop ["coefficient"] ;
                  $mouvement = $prop ["mouvement"] ;
		  $note [0] = $prop ["id_notanet_type_note"] ;
                  For ($i = 1 ; $i < $nbr ; $i++)
                   {
		    $prop = SQL_tableau_associatif ($proprietes, "") ;
                    $note [$i] = $prop ["id_notanet_type_note"] ;
                   }
		 }
	       }
	      Else { UnSet ($mode) ; }
              Break ;
     // Suppression d'un code epreuve
     Case 5 : $id_notanet_code_epreuve = var_courante ("id_notanet_code_epreuve", 0, null) ;
              If (IsSet ($id_notanet_code_epreuve) And ($id_notanet_code_epreuve > 0))
	       {
                $ok = SQL_commande ("DELETE FROM notanet_proprietes WHERE id_notanet_code_epreuve='".$id_notanet_code_epreuve."'", $id_sql) ;
		$ok = SQL_commande ("DELETE FROM notanet_codes_epreuves WHERE id_notanet_code_epreuve='".$id_notanet_code_epreuve."' LIMIT 1", $id_sql) ;
		$message = 6 ;
	       }
	      Else { $message = 10 ; }
              UnSet ($mode) ;
              Break ;
     // MAJ d'un code epreuve
     Case 6 : $id_notanet_code_epreuve = var_courante ("id_notanet_code_epreuve", 0, null) ;
              $ncode = filtrage (var_courante ("ncode", 0, "")) ;
              $id_discipline = var_courante ("id_discipline", 0, 0) ;
              $mode_calcul = var_courante ("mode_calcul", 0, -1) ;
              $borne_sup = var_courante ("borne_sup", 0, 20) ;
              $coefficient = Str_Replace (",", ".", var_courante ("coefficient", 0, 1)) ;
	      $mouvement = var_courante ("mouvement", 0, 1) ;
	      If (($ncode != "") And ($id_discipline != 0) And ($mode_calcul >= 0))
	       {
	        $id_existe = SQL_commande ("SELECT id_notanet_code_epreuve FROM notanet_codes_epreuves WHERE id_notanet_code_epreuve='".$id_notanet_code_epreuve."' LIMIT 1", $id_sql) ;
	        If ((notanet_code_existe ($id_notanet_profil, $ncode) == 1) Or (SQL_nbr_lignes ($id_existe) == 1))
		 {
		  If (IsSet ($id_notanet_code_epreuve))
		   {
		    // Modification du code epreuve
		    $ok = SQL_commande ("UPDATE notanet_codes_epreuves SET code='".$ncode."',id_discipline='".$id_discipline."' WHERE id_notanet_code_epreuve='".$id_notanet_code_epreuve."' LIMIT 1", $id_sql) ;
		    // Insertion proprietes
		    $ok = 0 ;
		    $nbr  = var_courante ("nbr", 0, 0) ;
		    $requete = "INSERT INTO notanet_proprietes (id_notanet_code_epreuve,id_notanet_type_note,mode_calcul,borne_superieure,coefficient,mouvement) VALUES " ;
                    For ($i = 0 ; $i < $nbr ; $i++)
                     {
                      $note = var_courante ("note_".$i, 0, 0) ;
		      If ($note != 0)
		       {
		        If ($ok == 1) { $requete .= "," ; }
			$requete .= "('".$id_notanet_code_epreuve."','".$note."','".$mode_calcul."','".$borne_sup."','".$coefficient."','".$mouvement."')" ;
			$ok = 1 ;
		       }
		     }
		    If ($ok == 1)
		     {
		      // Supression des anciennes valeurs
		      $ok = SQL_commande ("DELETE FROM notanet_proprietes WHERE id_notanet_code_epreuve='".$id_notanet_code_epreuve."'", $id_sql) ;
		      // Insertion des nouvelles valeurs
		      $ok = SQL_commande ($requete, $id_sql) ;
		      // Re-initialisation des valeurs
		      $ncode = "" ; $id_discipline = 0 ; $mode_calcul = 0 ; $borne_sup = 20 ; $coefficient = 1 ; $mouvement = 1 ;
		      UnSet ($note) ;
                      For ($i = 0 ; $i < $nbr ; $i++)
                       {
                        $note [$i] = 0 ;
                       }
		     }
		   }
		  Else { $message = 10 ; }
		 }
		Else { $message = 10 ; }
	       }
	      $mode_calcul = 1 ;
              Break ;
    }
  }
 
 /**
 * Exemple d'affichage de notes
 * @param mixed $n Note a afficher
 * @param int $mode Mode d'arrondi
 */
 Function exemple_note ($n, $mode)
  {
   $an = arrondi_note ($n, $mode) ;
   Return Str_Replace (".", ",", $n)."&nbsp;->&nbsp;".Str_Replace (".", ",", $an) ;
  }
 
 $resultats = SQL_commande ("SELECT * FROM menus WHERE numero='".$droit_courant."' AND ordre='0' LIMIT 1", $id_sql) ;
 $l = SQL_tableau_associatif ($resultats, "") ; 

 Echo entete_page ("", "") ; 
 Echo "<html><head>" ;
 entete_html ("Garennes", "", 1) ;
 Echo styles ("none", "none", "none", $l ["lien"], "none") ;
 Echo "<style type=\"text/css\">#total{border:1px solid ".$l ["couleur_fond"].";border-top:1px solid #000000}</style>" ;
 Echo "</head>" ;
 Echo "<body background=\"../images/fond.png\" text=\"#000000\" onContextMenu=\"return false\">" ;
 
 Echo "<center>&nbsp;<b>Codification&nbsp;des&nbsp;&eacute;preuves&nbsp;de&nbsp;NOTANET.</b>&nbsp</center>" ;
 
 If (IsSet ($message)) { affiche_message ($message, Array ()) ; }
  
 // Affichage de tous les profils existants (si existe) avec possibilite de creation
 $rs = SQL_commande ("SELECT id_notanet_profil,nom,arrondi FROM notanet_profils WHERE millesime='".$millesime."' ORDER BY nom", $id_sql) ;
 $nbr = SQL_nbr_lignes ($rs) ;
 Echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\" style=\"border:1px solid #000000;border-collapse:collapse\">" ;
 Echo "<tr><td><table bgcolor=\"".$l ["couleur_fond"]."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" style=\"border-collapse:collapse\">" ;
 // Creation d'un nouveau profil
 Echo "<form action=\"./notanet_init.php\" name=\"f_creation\" method=\"post\">" ;
 Echo "<input type=\"hidden\" name=\"mode\" value=\"1\">" ;
 Echo "<tr bgcolor=\"".$l ["lien"]."\"><td align=\"center\" colspan=\"3\">&nbsp;Cr&eacute;ation&nbsp;d'un&nbsp;nouveau&nbsp;profil&nbsp;:&nbsp;</td></tr>" ;
 Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
 Echo "<tr><td align=\"right\">&nbsp;Nom&nbsp;du&nbsp;profil&nbsp;:&nbsp;</td><td><input type=\"text\" name=\"nom\" value=\"\" size=\"50\" maxlength=\"100\">&nbsp;</td><td align=\"right\"><input type=\"image\" src=\"../images/valider.png\" name=\"submit\" value=\"1\">&nbsp;</td></tr>" ;
 Echo "<tr><td align=\"right\">Arrondi&nbsp;:&nbsp;</td><td><select name=\"arrondi\">" ;
 For ($j = 0 ; $j <= nombre_arrondi () ; $j++)
  {
   Echo "<option value=\"".$j."\">".nom_arrondi ($j)."&nbsp;(<i>Ex</i>&nbsp;:&nbsp;".exemple_note (13.425,$j)." ; ".exemple_note (13.504,$j)." ; ".exemple_note (13.646,$j).")&nbsp;</option>" ;
  }
 Echo "</select></td><td></td></tr>" ;
 Echo "<tr><td align=\"right\">&nbsp;S&eacute;rie&nbsp;:&nbsp;</td><td><select name=\"serie\"><option value=\"1\">Coll&egrave;ge</option><option value=\"2\">Professionnelle</option><option value=\"3\">Technologique</option></td></tr>" ;
 Echo "<tr><td align=\"right\"><input type=\"checkbox\" name=\"dp\" value=\"1\" onclick=\"document.f_creation.agricole.checked=0\"></td><td>&nbsp;Si&nbsp;coch&eacute;,&nbsp;alors&nbsp;D&eacute;couverte&nbsp;professionnelle&nbsp;6&nbsp;heures&nbsp;</td><td></td></tr>" ;
 Echo "<tr><td align=\"right\"><input type=\"checkbox\" name=\"agricole\" value=\"2\" onclick=\"document.f_creation.dp.checked=0\"></td><td>&nbsp;Si&nbsp;coch&eacute;,&nbsp;alors&nbsp;Option&nbsp;agricole&nbsp;</td><td></td></tr>" ;
 Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
 Echo "<tr><td align=\"right\" valign=\"top\">&nbsp;Exemples&nbsp;:&nbsp;</td>" ;
 Echo "<td>COLL&Egrave;GE,&nbsp;option&nbsp;de&nbsp;s&eacute;rie&nbsp;LV2<br>PROFESSIONNELLE,&nbsp;option&nbsp;de&nbsp;s&eacute;rie&nbsp;AGRICOLE<br>TECHNOLOGIQUE,&nbsp;avec&nbsp;d&eacute;couverte&nbsp;professionnelle&nbsp;module&nbsp;6&nbsp;heures&nbsp;</td><td></td></tr>" ;
 Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
 Echo "</form>" ;
 If ($nbr > 0)
  {
   // Selection d'un profil existant
   Echo "<form action=\"./notanet_init.php\" name=\"f_existe\" method=\"post\">" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\" style=\"border-top:1px #000000 solid\"><td align=\"center\" colspan=\"3\">&nbsp;S&eacute;lectionner&nbsp;un&nbsp;profil&nbsp;pour&nbsp;visualisation,&nbsp;modification&nbsp;ou&nbsp;suppression&nbsp;:&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"3\">&nbsp;</td></tr>" ;
   Echo "<tr><td align=\"right\">&nbsp;Profil&nbsp;:&nbsp;</td><td>&nbsp;<select name=\"id_notanet_profil\" onchange=\"submit()\">" ;
   For ($i = 0 ; $i < $nbr ; $i++)
    {
     $r = SQL_ligne_suivante ($rs) ;
     If ($nbr == 1) { $id_notanet_profil = $r [0] ; }
     Echo "<option value=\"".$r [0]."\"" ; If (IsSet ($id_notanet_profil) And ($id_notanet_profil == $r [0])) { Echo " selected" ; }
     Echo ">".$r [1]." - ".nom_arrondi ($r [2])."</option>" ;
    }
   Echo "</select>&nbsp;</td><td align=\"right\"><input type=\"image\" src=\"../images/valider.png\" name=\"submit\" value=\"1\">&nbsp;</td>" ;
   Echo "<tr><td colspan=\"2\">&nbsp;</td></tr>" ;
   Echo "</form>" ;
  }
 Echo "</table></td></tr></table>" ;
 If ($id_notanet_profil > 0)
  {
   $nom = notanet_nom_profil ($id_notanet_profil) ;
   $arrondi = notanet_arrondi_profil ($id_notanet_profil) ;
   Echo "<br><table border=\"1\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\" style=\"border:1px solid #000000;border-collapse:collapse\">" ;
   Echo "<tr><td><table bgcolor=\"".$l ["couleur_fond"]."\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse:collapse\">" ;
   Echo "<tr bgcolor=\"".$l ["lien"]."\"><td align=\"center\" colspan=\"8\">&nbsp;Visualisation/modification&nbsp;du&nbsp;profil&nbsp;:&nbsp;<b>".$nom."</b>&nbsp;</td></tr>" ;
   Echo "<tr><td colspan=\"8\">&nbsp;</td></tr>" ;
   
   Echo "<form action=\"./notanet_init.php\" name=\"f_maj\" method=\"post\">" ;
   Echo "<input type=\"hidden\" name=\"id_notanet_profil\" value=\"".$id_notanet_profil."\">" ;
   Echo "<input type=\"hidden\" name=\"mode\" value=\"2\">" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\" style=\"border-top:1px #000000 solid\"><td align=\"center\" colspan=\"8\">&nbsp;<b>Modification&nbsp;du&nbsp;nom&nbsp;et&nbsp;de&nbsp;l'arrondi&nbsp;du&nbsp;profil</b>&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"right\" colspan=\"2\">&nbsp;Nom&nbsp;du&nbsp;profil&nbsp;:&nbsp;</td><td><input type=\"text\" name=\"nom\" value=\"".$nom."\" size=\"50\" maxlength=\"100\">&nbsp;</td>" ;
   Echo "<td colspan=\"5\" rowspan=\"5\"><input type=\"image\" src=\"../images/valider.png\" name=\"submit\" value=\"1\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"right\" colspan=\"2\">Arrondi&nbsp;:&nbsp;</td><td><select name=\"arrondi\">" ;
   For ($j = 0 ; $j <= nombre_arrondi () ; $j++)
    {
     Echo "<option value=\"".$j."\"" ; If ($arrondi == $j) { Echo " selected" ; }
     Echo ">".nom_arrondi ($j)."</option>" ;
    }
   Echo "</select></td><td></td></tr>" ;
   $serie = restaure_configuration ("NOTANET","SERIE",$id_notanet_profil) ;
   If ($serie == "") { sauvegarde_configuration ("NOTANET","SERIE",$id_notanet_profil,1) ; $serie = 1 ; }
   $decouverte_pro = restaure_configuration ("NOTANET","DP",$id_notanet_profil) ;
   If ($decouverte_pro == "") { sauvegarde_configuration ("NOTANET","DP",$id_notanet_profil,0) ; $decouverte_pro = 0 ; }
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"right\" colspan=\"2\">&nbsp;S&eacute;rie&nbsp;:&nbsp;</td>" ;
   Echo "<td><select name=\"serie\"><option value=\"1\"" ; If ($serie == 1) { Echo " selected" ; }
   Echo ">Coll&egrave;ge</option><option value=\"2\"" ; If ($serie == 2) { Echo " selected" ; }
   Echo ">Professionnelle</option><option value=\"3\"" ; If ($serie == 3) { Echo " selected" ; }
   Echo ">Technologique</option></td><td></td></tr>" ;
   $decouverte_pro = restaure_configuration ("NOTANET","DP",$id_notanet_profil) ;
   If ($decouverte_pro == "") { sauvegarde_configuration ("NOTANET","DP",$id_notanet_profil,0) ; $decouverte_pro = 0 ; }
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"right\" colspan=\"2\"><input type=\"checkbox\" name=\"dp\" value=\"1\"" ; If ($decouverte_pro == 1) { Echo " checked" ; }
   Echo " onclick=\"document.f_maj.agricole.checked=0\"></td><td>&nbsp;Si&nbsp;coch&eacute;,&nbsp;alors&nbsp;D&eacute;couverte&nbsp;professionnelle&nbsp;6&nbsp;heures&nbsp;</td><td></td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"right\" colspan=\"2\"><input type=\"checkbox\" name=\"agricole\" value=\"2\"" ; If ($decouverte_pro == 2) { Echo " checked" ; }
   Echo " onclick=\"document.f_maj.dp.checked=0\"></td><td>&nbsp;Si&nbsp;coch&eacute;,&nbsp;alors&nbsp;Option&nbsp;agricole&nbsp;</td><td></td></tr>" ;
   
   Echo "<tr bgcolor=\"".$l ["nom"]."\" style=\"border-bottom:1px #000000 solid\"><td colspan=\"8\">&nbsp;</td></tr>" ;
   Echo "</form>" ;
   
   Echo "<tr><td colspan=\"8\">&nbsp;</td></tr>" ;
   // Insertion ou maj
   Echo "<tr bgcolor=\"".$l ["nom"]."\" style=\"border-top:1px #000000 solid\"><td align=\"center\" colspan=\"8\">&nbsp;<b>" ;
   If (IsSet ($mode) And ($mode == 4)) { Echo "Modification&nbsp;de&nbsp;l'&eacute;preuve&nbsp;:&nbsp;".$ncode."." ; } Else { Echo "Ajout&nbsp;d'une&nbsp;&eacute;preuve." ; }
   Echo "</b>&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"center\">&nbsp;<b>Code&nbsp;&eacute;preuve</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>Mati&egrave;re</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>Mode&nbsp;de&nbsp;calcul</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>Borne&nbsp;sup&eacute;rieure</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>C&oelig;fficient</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>Mouvement</b>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<b>Notes&nbsp;particuli&egrave;res&nbsp;autoris&eacute;es</b>&nbsp;</td><td></td></tr>" ;
 
   Echo "<form action=\"./notanet_init.php\" name=\"f_ajout\" method=\"post\">" ;
   Echo "<input type=\"hidden\" name=\"id_notanet_profil\" value=\"".$id_notanet_profil."\">" ;
   Echo "<input type=\"hidden\" name=\"mode\" value=\"" ; If (IsSet ($mode) And ($mode == 4)) { Echo "6" ; } Else { Echo "3" ; }
   Echo "\">" ;
   If (IsSet ($mode) And ($mode == 4)) { Echo "<input type=\"hidden\" name=\"id_notanet_code_epreuve\" value=\"".$id_notanet_code_epreuve."\">" ; }
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"center\">&nbsp;<input type=\"text\" name=\"ncode\" value=\"".$ncode."\" size=\"4\" maxlength=\"3\">&nbsp;</td>" ;
   $r = SQL_commande ("SELECT id_discipline,nom_court,nom_long,code FROM disciplines WHERE millesime='".$millesime."' ORDER BY nom_long", $id_sql) ;
   $nbr = SQL_nbr_lignes ($r) ;
   Echo "<td align=\"center\">&nbsp;<select name=\"id_discipline\">" ;
   // Prise en compte de la premiere et deuxieme langue vivante, vie scolaire et option facultative
   Echo "<optgroup label=\"Attributions sp&eacute;ciales\" title=\"Attribution plus large\">" ;
   For ($i = 1 ; $i <= $disciplines_speciales [0][0] ; $i++)
    {
     Echo "<option value=\"".$disciplines_speciales [$i][0]."\" title=\"".$disciplines_speciales [$i][2]."\"" ; If ($id_discipline == $disciplines_speciales [$i][0]) { Echo " selected" ; }
     Echo ">".$disciplines_speciales [$i][1]."</option>" ;
    }
   Echo "</optgroup><optgroup label=\"Disciplines &eacute;tablissement\" title=\"Disciplines de l'&eacute;tablissement\">" ;
   For ($i = 0 ; $i < $nbr ; $i++)
    {
     $res = SQL_ligne_suivante ($r) ;
     Echo "<option value=\"".$res [0]."\" title=\"".$res [2]."\"" ; If ($id_discipline == $res [0]) { Echo " selected" ; }
     Echo ">".$res [1]." (".$res [3].")</option>" ;
    }
   Echo "</optgroup></select>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<select name=\"mode_calcul\">" ;
   Echo "<option value=\"0\"" ; If ($mode_calcul == 0) { Echo " selected" ; }
   Echo ">PAS DE NOTES</option><option value=\"1\"" ; If ($mode_calcul == 1) { Echo " selected" ; }
   Echo ">NOTE CALCUL&Eacute;E</option><option value=\"2\"" ; If ($mode_calcul == 2) { Echo " selected" ; }
   Echo ">NOTE OPTIONNELLE</option><option value=\"3\"" ; If ($mode_calcul == 3) { Echo " selected" ; }
   Echo ">NOTE NON CALCUL&Eacute;E</option></select>&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<input type=\"text\" name=\"borne_sup\" value=\"".$borne_sup."\" size=\"3\" maxlength=\"4\">&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<input type=\"text\" name=\"coefficient\" value=\"".$coefficient."\" size=\"6\" maxlength=\"5\">&nbsp;</td>" ;
   Echo "<td align=\"center\">&nbsp;<select name=\"mouvement\">" ;
   Echo "<option value=\"1\"" ; If ($mouvement == 1) { Echo " selected" ; }
   Echo ">Obligatoire</option><option value=\"0\"" ; If ($mouvement == 0) { Echo " selected" ; }
   Echo ">Non obligatoire</option></select>&nbsp;</td>" ;
   $r = SQL_commande ("SELECT id_notanet_type_note,code,libelle FROM notanet_types_notes ORDER BY code", $id_sql) ;
   $nbr = SQL_nbr_lignes ($r) ;
   Echo "<td align=\"center\">&nbsp;<input type=\"hidden\" name=\"nbr\" value=\"".$nbr."\">" ;
   For ($i = 0 ; $i < $nbr ; $i++)
    {
     $res = SQL_ligne_suivante ($r) ;
     Echo "<input type=\"checkbox\" name=\"note_".$i."\" value=\"".$res [0]."\"" ; If (verif_note ($note, $nbr, $res [0]) == 1) { Echo " checked" ; }
     Echo "><b title=\"".$res [2]."\">".$res [1]."</b>&nbsp;" ;
    }
   Echo "&nbsp;</td><td><input type=\"image\" src=\"../images/ajouter.png\" name=\"submit\" value=\"1\" onclick=\"javascript:submit()\"></tr>" ;
   Echo "</form>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\" style=\"border-bottom:1px #000000 solid\"><td colspan=\"8\">&nbsp;</td></tr>" ;
  
   Echo "<tr><td colspan=\"8\">&nbsp;</td></tr>" ;
   Echo "<tr bgcolor=\"".$l ["nom"]."\"><td align=\"center\" colspan=\"8\">&nbsp;<b>Visualisation/actions&nbsp;de&nbsp;la&nbsp;s&eacute;rie.</b>&nbsp;</td></tr>" ;
   $table_notanet = notanet_caracteristiques_profil ($id_notanet_profil) ;
   If ($table_notanet [0][0][1] > 0)
    {
     Echo "<tr><td align=\"center\" colspan=\"8\"><br><table border=\"1\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" style=\"border:1px solid #000000;border-collapse:collapse\">" ;
     Echo "<tr bgcolor=\"".$l ["lien"]."\"><td align=\"center\">&nbsp;<b>Code&nbsp;&eacute;preuve</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Mati&egrave;re</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Mode&nbsp;de&nbsp;calcul</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Borne&nbsp;sup&eacute;rieure</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>C&oelig;fficient</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Mvt</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Notes&nbsp;particuli&egrave;res&nbsp;autoris&eacute;es</b>&nbsp;</td>" ;
     Echo "<td align=\"center\">&nbsp;<b>Action</b>&nbsp;</td></tr>" ;
     $ok_aff_1 = $ok_aff_2 = 0 ;
     $total = 0 ;
     For ($i = 0 ; $i < $table_notanet [0][0][1] ; $i++)
      {
       Echo "<tr" ; If ($i%2 == 1) { Echo " bgcolor=\"".$l ["nom"]."\"" ; }
       Echo "><td align=\"center\">&nbsp;".$table_notanet [$i+1][0][1]."&nbsp;</td>" ;
       Echo "<td>&nbsp;" ; If ($table_notanet [$i+1][0][7] == 0) { Echo "<i><b>" ; $ok_aff_1 = 1 ; }
       If ($table_notanet [$i+1][0][2] == -3) { Echo "<b>" ; $ok_aff_2 = 1 ; }
       Echo $table_notanet [$i+1][0][3] ;
       If ($table_notanet [$i+1][0][2] == -3) { Echo "</b>" ; }
       If ($table_notanet [$i+1][0][7] == 0) { Echo "</b></i>" ; }
       Echo "&nbsp;</td>" ;
       Echo "<td align=\"center\">&nbsp;" ;
       Switch ($table_notanet [$i+1][0][4])
        {
	 Case 0 : Echo "PAS&nbsp;DE&nbsp;NOTE" ; Break ;
         Case 1 : Echo "NOTE&nbsp;CALCUL&Eacute;E" ; $total += $table_notanet [$i+1][0][5]*$table_notanet [$i+1][0][6] ; Break ;
         Case 2 : Echo "NOTE&nbsp;OPTIONNELLE" ; $total += Round ($table_notanet [$i+1][0][5]*$table_notanet [$i+1][0][6]/2) ; Break ;
         Case 3 : Echo "NOTE&nbsp;NON&nbsp;CALCUL&Eacute;E" ; Break ;
        }
       Echo "&nbsp;</td>" ;
       If ($table_notanet [$i+1][0][4] > 0)
        {
         Echo "<td align=\"center\">&nbsp;".$table_notanet [$i+1][0][5]."&nbsp;</td>" ;
	 If ($table_notanet [$i+1][0][6] > 1) { $p1 = "<b>" ; $p2 = "</b>" ; } Else { $p1 = $p2 = "" ; }
         Echo "<td align=\"center\">&nbsp;".$p1.Str_Replace (".", ",", $table_notanet [$i+1][0][6]).$p2."&nbsp;</td>" ;
	}
       Else { Echo "<td colspan=\"2\">&nbsp;</td>" ; }
       Echo "<td align=\"center\">&nbsp;" ; If ($table_notanet [$i+1][0][7] == 1) { Echo "OUI" ; } Else { Echo "NON" ; }
       Echo "&nbsp;</td>" ;
       Echo "<td>&nbsp;" ;
       For ($j = 0 ; $j < $table_notanet [0][0][2] ; $j++)
        {
         If ($table_notanet [$i+1][1][$j] > 0)
          {
           Echo "<b title=\"".$table_notanet [$i+1][3][$j]."\">".$table_notanet [$i+1][2][$j]."</b>&nbsp;" ;
          }
        }
       Echo "&nbsp;</td>" ;
       Echo "<td><a href=\"./notanet_init.php?id_notanet_code_epreuve=".$table_notanet [$i+1][0][0]."&mode=4&id_notanet_profil=".$id_notanet_profil."\"><img src=\"../images/edition.png\" border=\"0\" title=\"&Eacute;diter le code &eacute;preuve ".$table_notanet [$i+1][0][1]."\"></a>" ;
       Echo "<a href=\"./notanet_init.php?id_notanet_code_epreuve=".$table_notanet [$i+1][0][0]."&mode=5&id_notanet_profil=".$id_notanet_profil."\"><img src=\"../images/effacer.png\" border=\"0\" title=\"Supprimer le code &eacute;preuve ".$table_notanet [$i+1][0][1]."\"></a></td></tr>" ;
      }
     Echo "<tr><td colspan=\"3\" align=\"right\" id=\"total\"><b>Total&nbsp;:</b>&nbsp;</td><td align=\"center\" id=\"total\"><b>".$total."</b></td><td colspan=\"4\" id=\"total\"></td></tr>" ;
     Echo "</table><br>" ;
     If ($ok_aff_1 == 1) { Echo "Mati&egrave;res en gras et italique : Les candidats sont inscrits dans une seule de ces disciplines." ; }
     If ($ok_aff_2 == 1) { If ($ok_aff_1 == 1) { Echo "<br>" ; } Echo "Option facultative : Si le candidat n'y est pas inscrit, il n'y aura pas de mouvement." ; }
     Echo "</td></tr></table>" ;
    }
   Else
    {
     Echo "<tr><td align=\"center\" colspan=\"8\">Profil vierge !<br>&nbsp;</td></tr>" ;
    }
   Echo "</table></td></tr></table>" ;
  }
 Echo "</body></html>" ;
?>